import { ServiceProvider } from '@supercharge/support';
export declare class RouteServiceProvider extends ServiceProvider {
    private readonly loadRoutesCallbacks;
    /**
     * Register application services to the container.
     */
    register(): void;
    /**
     * Run the registered route-loading callbacks.
     */
    protected runRouteLoadingCallbacks(): void;
    /**
     * Load the routes file from the given `path`.
     *
     * @param callback
     *
     * @returns {this}
     */
    loadRoutesFrom(path: string): this;
    /**
     * Register a callback that will be used to load the application’s routes.
     *
     * @param callback
     *
     * @returns {this}
     */
    loadRoutesUsing(callback: () => void): this;
}
